import tkinter

def czyParzysta():
    try:
        wpisUzytkownika = int(wpisanaLiczba.get())
        if wpisUzytkownika % 2 == 0:
            czerwonyNapis.set(f'Liczba {wpisUzytkownika} jest parzysta.')
        else:
            czerwonyNapis.set(f'Liczba {wpisUzytkownika} jest nieparzysta.')
    except (tkinter.TclError, TypeError, ValueError):
        czerwonyNapis.set('Musisz wpisać liczbę dodatnią całkowitą.\nSpróbuj jeszcze raz!')
    finally:
        poleDoWpisu.delete(0, tkinter.END)

def czyTylkoLiczby(wpisanaLiczba):
    return wpisanaLiczba.isdigit()

okienko = tkinter.Tk()
okienko.title("Przesyłanie liczby")
okienko.resizable(width=True, height=True)
okienko.geometry("600x500")

ramka1 = tkinter.LabelFrame(okienko, text="Sprawdzanie liczby")
ramka1.pack(fill="x")

try:
    okienko.call('wm', 'iconphoto', okienko._w, tkinter.PhotoImage(file='ikonka.png'))
    czerwonyNapis = tkinter.StringVar()
    czerwonyNapis.set('Zaraz sprawdzę parzystość liczby...')
    tkinter.Label(ramka1, textvariable=czerwonyNapis, foreground="red", background="white", width="30", height="4", font="Verdana, 16 bold").pack(side="top", fill="x", pady=(0,80))
    tkinter.Label(ramka1, text="Wpisz liczbę do sprawdzenia:", font="Verdana, 10").pack(side="top", ipady=10)

    sprawdzenieCzyTylkoLiczby = ramka1.register(czyTylkoLiczby)
    wpisanaLiczba = tkinter.StringVar()

    poleDoWpisu = tkinter.Entry(ramka1, width="30", font="Verdana, 16", textvariable=wpisanaLiczba, validate="key", validatecommand=(sprawdzenieCzyTylkoLiczby, '%S'))

    poleDoWpisu.pack(side="top", pady=(0,20))
    poleDoWpisu.focus_set()
    poleDoWpisu.delete(0)

    tkinter.Button(okienko, text="Sprawdź!", foreground="white", background="black", width="15", height="2", font="Verdana, 14 bold", command=czyParzysta).pack(pady=30)
except tkinter.TclError:
    print('Nie znaleziono pliku ikony (favicon) do programu. Brakuje pliku ikony.')
    brakIkony = tkinter.StringVar()
    brakIkony.set('Nie znaleziono pliku ikony (favicon) do programu.\n Brakuje pliku ikony.')
    tkinter.Label(ramka1, textvariable=brakIkony, foreground="red", bacground="white", width="30", height="4", font="Verdana, 12 bold").pack(side="top", fill="x", pady=(0,80))

okienko.mainloop()
